> ## Documentation Index
> Fetch the complete documentation index at: https://docs.embedreach.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Sending Domain

> Get a single sending domain by id



## OpenAPI

````yaml GET /api/sending-domains/{id}
openapi: 3.0.0
info:
  title: Reach API
  version: 1.0.0
  description: API documentation for Reach platform
servers:
  - url: https://api.embedreach.com
    description: Production server
security: []
paths:
  /api/sending-domains/{id}:
    get:
      tags:
        - Sending Domains
      summary: Get Sending Domain
      description: Get a single sending domain by id
      parameters:
        - name: reach-tenant-id
          in: header
          required: false
          schema:
            type: string
            description: >-
              If using a platform scoped JWT, you can pass in a header to
              impersonate a specific tenant to impersonate the request as.
        - schema:
            type: string
            description: The id of the sending domain
          required: true
          description: The id of the sending domain
          name: id
          in: path
      responses:
        '200':
          description: Status 200 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  message:
                    type: string
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                      domain:
                        type: string
                        nullable: true
                      status:
                        type: string
                        enum:
                          - needs_attention
                          - pending_verification
                          - verified
                      isTenantSupplied:
                        type: boolean
                      createdAt:
                        type: string
                        nullable: true
                      domainConfiguration:
                        type: object
                        nullable: true
                        properties:
                          applicationId:
                            type: string
                          apexDomain:
                            type: string
                          dnsRecords:
                            type: array
                            items:
                              type: object
                              properties:
                                type:
                                  type: string
                                  enum:
                                    - TXT
                                    - CNAME
                                host:
                                  type: string
                                value:
                                  type: string
                                ttl:
                                  type: number
                              required:
                                - type
                                - host
                                - value
                                - ttl
                        required:
                          - applicationId
                          - apexDomain
                          - dnsRecords
                    required:
                      - id
                      - domain
                      - status
                      - isTenantSupplied
                      - createdAt
                      - domainConfiguration
                required:
                  - success
        '400':
          description: Bad Request - Validation or request error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                    default: false
                  message:
                    type: string
                    description: Error message describing what went wrong
                  errors:
                    type: array
                    items:
                      type: string
                    description: Optional array of specific validation errors
                required:
                  - message

````